Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.database
Class CreateOWLDatabaseProjectPlugin

    java.lang.Object
      edu.stanford.smi.protege.plugin.AbstractCreateProjectPlugin
          edu.stanford.smi.protegex.owl.database.CreateOWLDatabaseProjectPlugin

All Implemented Interfaces:
  edu.stanford.smi.protege.plugin.CreateProjectPlugin, edu.stanford.smi.protege.plugin.Plugin, edu.stanford.smi.protege.storage.database.DatabasePlugin, edu.stanford.smi.protege.util.Disposable, OWLDatabasePlugin

Direct Known Subclasses:
  CreateOWLDatabaseFromFileProjectPlugin

    public class CreateOWLDatabaseProjectPlugin

extends edu.stanford.smi.protege.plugin.AbstractCreateProjectPlugin
implements OWLDatabasePlugin

Author:
  Ray Fergerson , Holger Knublauch

Constructor Summary
`CreateOWLDatabaseProjectPlugin()`
`CreateOWLDatabaseProjectPlugin(String name)`

Method Summary
`protected edu.stanford.smi.protege.model.Project` | `buildNewProject(edu.stanford.smi.protege.model.KnowledgeBaseFactory factory)`
`boolean` | `canCreateProject(edu.stanford.smi.protege.model.KnowledgeBaseFactory factory, boolean useExistingSources)`
`edu.stanford.smi.protege.util.WizardPage` | `createCreateProjectWizardPage(edu.stanford.smi.protege.plugin.CreateProjectWizard wizard, boolean useExistingSources)`
`protected edu.stanford.smi.protege.model.Project` | `createNewProject(edu.stanford.smi.protege.model.KnowledgeBaseFactory factory)`
`String` | `getDriver()`
`String` | `getOntologyName()`
`String` | `getPassword()`
`String` | `getTable()`
`String` | `getUrl()`
`String` | `getUsername()`
`void` | `setDriver(String driver)`
`void` | `setOntologyName(String name)`
`void` | `setPassword(String password)`
`void` | `setTable(String table)`
`void` | `setUrl(String url)`
`void` | `setURL(String url)`
`void` | `setUsername(String username)`

Methods inherited from class edu.stanford.smi.protege.plugin.AbstractCreateProjectPlugin
`createProject, dispose, getBuildProjectURI, getName, handleErrors, initialize, initializeSources, setKnowledgeBaseFactory, setUseExistingSources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateOWLDatabaseProjectPlugin

    public CreateOWLDatabaseProjectPlugin()

### CreateOWLDatabaseProjectPlugin

    public CreateOWLDatabaseProjectPlugin(String name)

Method Detail

### createNewProject

    protected edu.stanford.smi.protege.model.Project createNewProject(edu.stanford.smi.protege.model.KnowledgeBaseFactory factory)

  Overrides:
    `createNewProject` in class `edu.stanford.smi.protege.plugin.AbstractCreateProjectPlugin`

### buildNewProject

    protected edu.stanford.smi.protege.model.Project buildNewProject(edu.stanford.smi.protege.model.KnowledgeBaseFactory factory)

  Overrides:
    `buildNewProject` in class `edu.stanford.smi.protege.plugin.AbstractCreateProjectPlugin`

### canCreateProject

    public boolean canCreateProject(edu.stanford.smi.protege.model.KnowledgeBaseFactory factory,
                                    boolean useExistingSources)

  Specified by:
    `canCreateProject` in interface `edu.stanford.smi.protege.plugin.CreateProjectPlugin`

### createCreateProjectWizardPage

    public edu.stanford.smi.protege.util.WizardPage createCreateProjectWizardPage(edu.stanford.smi.protege.plugin.CreateProjectWizard wizard,
                                                                                  boolean useExistingSources)

  Specified by:
    `createCreateProjectWizardPage` in interface `edu.stanford.smi.protege.plugin.CreateProjectPlugin`

### setDriver

    public void setDriver(String driver)

  Specified by:
    `setDriver` in interface `edu.stanford.smi.protege.storage.database.DatabasePlugin`

### setTable

    public void setTable(String table)

  Specified by:
    `setTable` in interface `edu.stanford.smi.protege.storage.database.DatabasePlugin`

### setURL

    public void setURL(String url)

  Specified by:
    `setURL` in interface `edu.stanford.smi.protege.storage.database.DatabasePlugin`

### setUsername

    public void setUsername(String username)

  Specified by:
    `setUsername` in interface `edu.stanford.smi.protege.storage.database.DatabasePlugin`

### setPassword

    public void setPassword(String password)

  Specified by:
    `setPassword` in interface `edu.stanford.smi.protege.storage.database.DatabasePlugin`

### setOntologyName

    public void setOntologyName(String name)

  Specified by:
    `setOntologyName` in interface `OWLDatabasePlugin`

### getUrl

    public String getUrl()

  Specified by:
    `getUrl` in interface `OWLDatabasePlugin`

### setUrl

    public void setUrl(String url)

### getDriver

    public String getDriver()

  Specified by:
    `getDriver` in interface `OWLDatabasePlugin`

### getTable

    public String getTable()

  Specified by:
    `getTable` in interface `OWLDatabasePlugin`

### getUsername

    public String getUsername()

  Specified by:
    `getUsername` in interface `OWLDatabasePlugin`

### getPassword

    public String getPassword()

  Specified by:
    `getPassword` in interface `OWLDatabasePlugin`

### getOntologyName

    public String getOntologyName()

  Specified by:
    `getOntologyName` in interface `OWLDatabasePlugin`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.